package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户资讯信息对象 cps_usr_content_rel
 * 
 * @author ruoyi
 * @date 2024-08-22
 */
public class CpsUsrContentRel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** openid */
    @Excel(name = "openid")
    private String openId;

    /** 资讯主键 */
    @Excel(name = "资讯主键")
    private Long contentId;

    /** 资讯主题 */
    @Excel(name = "资讯主题")
    private String contentTitle;

    /** 资讯缩略图 */
    @Excel(name = "资讯缩略图")
    private String thumbnail;

    /** 0收藏，1未收藏 */
    @Excel(name = "0收藏，1未收藏")
    private String collectFlag;

    /** 0点赞，1未点赞 */
    @Excel(name = "0点赞，1未点赞")
    private String likeFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setOpenId(String openId) 
    {
        this.openId = openId;
    }

    public String getOpenId() 
    {
        return openId;
    }
    public void setContentId(Long contentId) 
    {
        this.contentId = contentId;
    }

    public Long getContentId() 
    {
        return contentId;
    }
    public void setContentTitle(String contentTitle) 
    {
        this.contentTitle = contentTitle;
    }

    public String getContentTitle() 
    {
        return contentTitle;
    }
    public void setThumbnail(String thumbnail) 
    {
        this.thumbnail = thumbnail;
    }

    public String getThumbnail() 
    {
        return thumbnail;
    }
    public void setCollectFlag(String collectFlag) 
    {
        this.collectFlag = collectFlag;
    }

    public String getCollectFlag() 
    {
        return collectFlag;
    }
    public void setLikeFlag(String likeFlag) 
    {
        this.likeFlag = likeFlag;
    }

    public String getLikeFlag() 
    {
        return likeFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("openId", getOpenId())
            .append("contentId", getContentId())
            .append("contentTitle", getContentTitle())
            .append("thumbnail", getThumbnail())
            .append("collectFlag", getCollectFlag())
            .append("likeFlag", getLikeFlag())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
